/* モーダルの背景 */

.layer-modal-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  padding-bottom: 8px;
}

/* タイトルのスタイル */
.layer-modal-content .layer-modal-title {
  font-size: 12px;
  font-weight: bold;
  color: #141415;
  margin: 0;
  text-align: left;
  padding: 0;
}

.layer-cancel-icon,
.layer-back-icon {
  width: 32px;
  height: 32px;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
}

.layer-cancel-icon:hover {
  background-color: #E1E3E7;
  border-radius: 50%;
}

.layer-cancel-icon.is-dark:hover {
  background-color: #5B5F66;
  border-radius: 50%;
}

.layer-cancel-icon.is-light:hover,
.layer-back-icon.is-light:hover {
  background-color: #E1E3E7;
  border-radius: 50%;
}

.layer-modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 10000;
}

.layer-modal-content {
  background-color: #FAFBFD;
  padding: 20px;
  border-radius: 8px;
  text-align: center;
  width: 300px;
  display: flex;
  flex-direction: column;
}

.layer-modal-divider {
  border: 0;
  border-top: 1px solid white;
  margin: 10px 0;
  width: 100%;
}


.layer-modal-content p {
  color: #141415;
  text-align: left;
  font-size: 12px;
  margin-bottom: 8px;
  margin-top: 0;
}

.layer-modal-content button {
  padding: 6px 8px;
  font-size: 12px;
  cursor: pointer;
  border-radius: 4px;
}

.layer-modal-content button:hover {
  opacity: 0.8;
}

.layer-button-container {
  display: flex;
  width: 100%;
  justify-content: flex-end;
  gap: 8px;
}

/* 削除ボタン */
#layer-confirmDelete {
  background-color: #B91C1C;
  color: #FAFBFD;
  border: none;
}

/* キャンセルボタン */
#layer-cancelDelete {
  background-color: #FAFBFD;
  color: #141415;
  border: 1px solid #141415;
  font-size: 12px;
  cursor: pointer;
  border-radius: 5px;
}